Package: org.codehaus.groovy.util

## [Java] Class ManagedConcurrentMap<K, V>

- org.codehaus.groovy.util.ManagedConcurrentMap

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `ManagedConcurrentMap.Entry` |
    `static class` | `ManagedConcurrentMap.EntryWithValue` |
    `static class` | `ManagedConcurrentMap.Segment` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected ReferenceBundle` | `bundle` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractConcurrentMapBase` | `MAXIMUM_CAPACITY, segments`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ManagedConcurrentMap (ReferenceBundle bundle)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Segment<K, V>` | `createSegment(Object segmentInfo, int cap)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractConcurrentMap` | `get, getOrPut, put, remove, segmentFor`
    `class AbstractConcurrentMapBase` | `createSegment, fullSize, hash, segmentFor, size, values`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### protected ReferenceBundle bundle

  - ### Constructor Detail

    - #### public ManagedConcurrentMap(ReferenceBundle bundle)

  - ### Method Detail

    - #### protected Segment<K, V> createSegment(Object segmentInfo, int cap)